#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> A) {
    int n=A.size();
    vector<int> a=A;
    vector<int> ans(n);
    map<int,int> mp;
    int j=0;
    int o=n-1;
    for(int i=0;i<n;i++){
        if(i>n/2)ans[i]=i-1;
        else if(i<n/2)ans[i]=i;
        else if(i==n/2)ans[i]=n-1;
    }
    return ans;
}
